Bug 136188 - Intersil Prism Wavelan incorrectly detected as wired instead of wireless
Intersil Prism Wavelan incorrectly detected as wired instead of wireless
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
: 138344 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2004-10-18 12:47 EDT by Rodolfo J. Paiz
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-08-25 09:24:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Rodolfo J. Paiz 2004-10-18 12:47:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)

Description of problem:
The Intersil Prism 2.5 Wavelan card (802.11b Wi-Fi) is incorrectly
detected as a wired Ethernet card. No options are given in
system-config-network to change SSID, channel, WEP, etc. 

Note that the card works properly when connecting to a fully-open WAP
which broadcasts the SSID, so there is no problem in the actual
functionality of the card. It is simply that one cannot configure some
of its options in system-config-network because the "wireless" page is
not shown at all.

Deleting the card (deleting the adapter from system-config-network,
deleting the eth1 line from /etc/modprobe.conf, and deleting the
stanza from /etc/sysconfig/hwconf) then rerunning "kudzu" to have it
redetected results in the card being listed correctly in
system-config-network as a wireless card and showing the wireless
options page.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install FC2-T3.
2. Run system-config-network.
3. Card is seen as wired Ethernet.

Actual Results:  Card is detected as "eth1" and the options provided
are those for a wired Ethernet card.

Expected Results:  Card should have been detected as a wireless
adapter and the wireless options page shown.

Additional info:

Output of lspci:

02:02.0 Network controller: Intersil Corporation Prism 2.5 Wavelan
chipset (rev 01)


This card is inside an IBM Thinkpad T23 (2647-5NU) which also has a
wired Ethernet card as eth0.
Comment 1 Matt 2004-12-02 11:44:26 EST
I have installed Fedora Core 3 on my Toshiba Satellite Pro 4600 laptop
with built in wifi. FC1 would recognise my wirless card and work but
FC2 didn't work and nor does FC3.

My Intel Ethernet card gets recognised and assigned to eth0.

eth1 gets assigned 'Intersil Prism2 11Mbs Wireless' Adapter but as an
ethernet (wired) card with no options to change SSID and encryption
stuff etc. I have tried various combinations of deleting the 2 cards,
reassigning individually to eth0 or eth1 and trying to set up a
wireless connection using the standard PCMCIA wavelan_cs listed in the
'other wireless cards' section. Whatever I do I get a card not present
error and on rebooting the cards are reassigned eth0 and eth1 (wired)
as per the original install.

Please let me know if I need to report specific information or include
any logs or other files.

Thank you.
Comment 2 Harald Hoyer 2004-12-07 11:55:36 EST
*** Bug 138344 has been marked as a duplicate of this bug. ***
Comment 3 Harald Hoyer 2005-03-17 05:40:36 EST
Workaround, add:


in /etc/sysconfig/network-scripts/ifcfg-<interface>
Comment 4 Matt 2005-03-17 12:12:42 EST
I think I had tried that in the past without success Harald (but I'm not 100% sure).

Anyway, for me the fix was to disable acpi in the grub command line.


as documented here:



Comment 5 Joe Buck 2005-08-25 03:28:01 EDT
I've also had this problem, and I independently discovered the workaround
Harald gives in comment #3.

Matt, ACPI works fine for me, so there's no reason to turn it off.
Comment 6 Joe Buck 2005-08-25 03:31:57 EDT
Oh, I should mention that I have a 
"Linksys Instant Wireless Network PC Card WPC11 v3"

but it's the same chip, same symptoms.

Comment 7 Harald Hoyer 2005-08-25 06:29:59 EDT
anaconda should add Type=Wireless for wireless cards
Comment 8 Jeremy Katz 2005-08-25 09:24:59 EDT
Changed anaconda to not set TYPE= except in special cases since this can be
probed in general

Note You need to log in before you can comment on or make changes to this bug.